org.apache.ignite.internal.jdbc

## Class JdbcPreparedStatement

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcStatement
  - - org.apache.ignite.internal.jdbc.JdbcPreparedStatement

All Implemented Interfaces:
  AutoCloseable, PreparedStatement, Statement, Wrapper

Deprecated.
Using Ignite client node based JDBC driver is preferable. See documentation of `IgniteJdbcDriver` for details.

    @Deprecated
    public class JdbcPreparedStatement
    extends JdbcStatement
    implements PreparedStatement

JDBC prepared statement implementation.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.jdbc.JdbcStatement

`args`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addBatch()` Deprecated.
`void` `clearParameters()` Deprecated.
`boolean` `execute()` Deprecated.
`ResultSet` `executeQuery()` Deprecated.
`int` `executeUpdate()` Deprecated.
`ResultSetMetaData` `getMetaData()` Deprecated.
`ParameterMetaData` `getParameterMetaData()` Deprecated.
`void` `setArray(int paramIdx, Array x)` Deprecated.
`void` `setAsciiStream(int paramIdx, InputStream x)` Deprecated.
`void` `setAsciiStream(int paramIdx, InputStream x, int length)` Deprecated.
`void` `setAsciiStream(int paramIdx, InputStream x, long length)` Deprecated.
`void` `setBigDecimal(int paramIdx, BigDecimal x)` Deprecated.
`void` `setBinaryStream(int paramIdx, InputStream x)` Deprecated.
`void` `setBinaryStream(int paramIdx, InputStream x, int length)` Deprecated.
`void` `setBinaryStream(int paramIdx, InputStream x, long length)` Deprecated.
`void` `setBlob(int paramIdx, Blob x)` Deprecated.
`void` `setBlob(int paramIdx, InputStream inputStream)` Deprecated.
`void` `setBlob(int paramIdx, InputStream inputStream, long length)` Deprecated.
`void` `setBoolean(int paramIdx, boolean x)` Deprecated.
`void` `setByte(int paramIdx, byte x)` Deprecated.
`void` `setBytes(int paramIdx, byte[] x)` Deprecated.
`void` `setCharacterStream(int paramIdx, Reader x)` Deprecated.
`void` `setCharacterStream(int paramIdx, Reader x, int length)` Deprecated.
`void` `setCharacterStream(int paramIdx, Reader x, long length)` Deprecated.
`void` `setClob(int paramIdx, Clob x)` Deprecated.
`void` `setClob(int paramIdx, Reader reader)` Deprecated.
`void` `setClob(int paramIdx, Reader reader, long length)` Deprecated.
`void` `setDate(int paramIdx, Date x)` Deprecated.
`void` `setDate(int paramIdx, Date x, Calendar cal)` Deprecated.
`void` `setDouble(int paramIdx, double x)` Deprecated.
`void` `setFloat(int paramIdx, float x)` Deprecated.
`void` `setInt(int paramIdx, int x)` Deprecated.
`void` `setLong(int paramIdx, long x)` Deprecated.
`void` `setNCharacterStream(int paramIdx, Reader val)` Deprecated.
`void` `setNCharacterStream(int paramIdx, Reader val, long length)` Deprecated.
`void` `setNClob(int paramIdx, NClob val)` Deprecated.
`void` `setNClob(int paramIdx, Reader reader)` Deprecated.
`void` `setNClob(int paramIdx, Reader reader, long length)` Deprecated.
`void` `setNString(int paramIdx, String val)` Deprecated.
`void` `setNull(int paramIdx, int sqlType)` Deprecated.
`void` `setNull(int paramIdx, int sqlType, String typeName)` Deprecated.
`void` `setObject(int paramIdx, Object x)` Deprecated.
`void` `setObject(int paramIdx, Object x, int targetSqlType)` Deprecated.
`void` `setObject(int paramIdx, Object x, int targetSqlType, int scaleOrLength)` Deprecated.
`void` `setRef(int paramIdx, Ref x)` Deprecated.
`void` `setRowId(int paramIdx, RowId x)` Deprecated.
`void` `setShort(int paramIdx, short x)` Deprecated.
`void` `setSQLXML(int paramIdx, SQLXML xmlObj)` Deprecated.
`void` `setString(int paramIdx, String x)` Deprecated.
`void` `setTime(int paramIdx, Time x)` Deprecated.
`void` `setTime(int paramIdx, Time x, Calendar cal)` Deprecated.
`void` `setTimestamp(int paramIdx, Timestamp x)` Deprecated.
`void` `setTimestamp(int paramIdx, Timestamp x, Calendar cal)` Deprecated.
`void` `setUnicodeStream(int paramIdx, InputStream x, int length)` Deprecated.
`void` `setURL(int paramIdx, URL x)` Deprecated.

### Methods inherited from class org.apache.ignite.internal.jdbc.JdbcStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, ensureNotClosed, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Deprecated.

Specified by:
  `executeQuery` in interface `PreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Deprecated.

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int paramIdx,
                        int sqlType)
                 throws SQLException

Deprecated.

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(int paramIdx,
                           boolean x)
                    throws SQLException

Deprecated.

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(int paramIdx,
                        byte x)
                 throws SQLException

Deprecated.

Specified by:
  `setByte` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(int paramIdx,
                         short x)
                  throws SQLException

Deprecated.

Specified by:
  `setShort` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(int paramIdx,
                       int x)
                throws SQLException

Deprecated.

Specified by:
  `setInt` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(int paramIdx,
                        long x)
                 throws SQLException

Deprecated.

Specified by:
  `setLong` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(int paramIdx,
                         float x)
                  throws SQLException

Deprecated.

Specified by:
  `setFloat` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(int paramIdx,
                          double x)
                   throws SQLException

Deprecated.

Specified by:
  `setDouble` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(int paramIdx,
                              BigDecimal x)
                       throws SQLException

Deprecated.

Specified by:
  `setBigDecimal` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setString

    public void setString(int paramIdx,
                          String x)
                   throws SQLException

Deprecated.

Specified by:
  `setString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBytes

    public void setBytes(int paramIdx,
                         byte[] x)
                  throws SQLException

Deprecated.

Specified by:
  `setBytes` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int paramIdx,
                        Date x)
                 throws SQLException

Deprecated.

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int paramIdx,
                        Time x)
                 throws SQLException

Deprecated.

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int paramIdx,
                             Timestamp x)
                      throws SQLException

Deprecated.

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                               InputStream x,
                               int length)
                        throws SQLException

Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int paramIdx,
                                 InputStream x,
                                 int length)
                          throws SQLException

Deprecated.

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                                InputStream x,
                                int length)
                         throws SQLException

Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Deprecated.

Specified by:
  `clearParameters` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                          Object x,
                          int targetSqlType)
                   throws SQLException

Deprecated.

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                          Object x)
                   throws SQLException

Deprecated.

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### execute

    public boolean execute()
                    throws SQLException

Deprecated.

Specified by:
  `execute` in interface `PreparedStatement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Deprecated.

Specified by:
  `addBatch` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                                   Reader x,
                                   int length)
                            throws SQLException

Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    public void setRef(int paramIdx,
                       Ref x)
                throws SQLException

Deprecated.

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
                        Blob x)
                 throws SQLException

Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
                        Clob x)
                 throws SQLException

Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setArray

    public void setArray(int paramIdx,
                         Array x)
                  throws SQLException

Deprecated.

Specified by:
  `setArray` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Deprecated.

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(int paramIdx,
                        Date x,
                        Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(int paramIdx,
                        Time x,
                        Calendar cal)
                 throws SQLException

Deprecated.

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(int paramIdx,
                             Timestamp x,
                             Calendar cal)
                      throws SQLException

Deprecated.

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(int paramIdx,
                        int sqlType,
                        String typeName)
                 throws SQLException

Deprecated.

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(int paramIdx,
                       URL x)
                throws SQLException

Deprecated.

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Deprecated.

Specified by:
  `getParameterMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(int paramIdx,
                         RowId x)
                  throws SQLException

Deprecated.

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int paramIdx,
                           String val)
                    throws SQLException

Deprecated.

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int paramIdx,
                                    Reader val,
                                    long length)
                             throws SQLException

Deprecated.

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                         NClob val)
                  throws SQLException

Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
                        Reader reader,
                        long length)
                 throws SQLException

Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
                        InputStream inputStream,
                        long length)
                 throws SQLException

Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                         Reader reader,
                         long length)
                  throws SQLException

Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int paramIdx,
                          SQLXML xmlObj)
                   throws SQLException

Deprecated.

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(int paramIdx,
                          Object x,
                          int targetSqlType,
                          int scaleOrLength)
                   throws SQLException

Deprecated.

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                               InputStream x,
                               long length)
                        throws SQLException

Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                                InputStream x,
                                long length)
                         throws SQLException

Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                                   Reader x,
                                   long length)
                            throws SQLException

Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int paramIdx,
                               InputStream x)
                        throws SQLException

Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int paramIdx,
                                InputStream x)
                         throws SQLException

Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int paramIdx,
                                   Reader x)
                            throws SQLException

Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int paramIdx,
                                    Reader val)
                             throws SQLException

Deprecated.

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int paramIdx,
                        Reader reader)
                 throws SQLException

Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int paramIdx,
                        InputStream inputStream)
                 throws SQLException

Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int paramIdx,
                         Reader reader)
                  throws SQLException

Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018